SuSE 10 Security Update : gimp (ZYPP Patch Number 3962)

Medium Nessus Plugin ID 29443


The remote SuSE 10 host is missing a security-related patch.


The image editor gimp was updated to fix a integer overflow in the handling of PSD files. By providing a crafted PSD file and tricking the user to open it an attacker could execute code. (CVE-2007-2949)


Apply ZYPP patch number 3962.

See Also

Plugin Details

Severity: Medium

ID: 29443

File Name: suse_gimp-3962.nasl

Version: $Revision: 1.10 $

Type: local

Agent: unix

Published: 2007/12/13

Modified: 2012/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2007/07/26

Reference Information

CVE: CVE-2007-2949